- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Control Class Reference

`#include <Control.h>`

List of all members.

## Static Public Member Functions
static void | update ()
static void | registerController (Object *o)
static void | detachController (Object *o)
static void | detachAllControllers ()
static std::string | getString (int keysym)
## Static Public Attributes
static SDLKey | upKey = SDLK_UP
static SDLKey | downKey = SDLK_DOWN
static SDLKey | leftKey = SDLK_LEFT
static SDLKey | rightKey = SDLK_RIGHT
static SDLKey | shoot1Key = SDLK_LCTRL
static SDLKey | shoot2Key = SDLK_RCTRL
static SDLKey | altShoot1Key = SDLK_LALT
static SDLKey | altShoot2Key = SDLK_RALT
static SDLKey | jumpKey = SDLK_SPACE
static SDLKey | skipKey = SDLK_SPACE
static SDLKey | selectKey = SDLK_SPACE
static SDLKey | menuUpKey = SDLK_UP
static SDLKey | menuDownKey = SDLK_DOWN
static SDLKey | quitKey = SDLK_ESCAPE
## Static Private Attributes
static std::vector< Object * > | _controllers

## Detailed Description

Definition at line 6 of file Control.h.

## Member Function Documentation

void Control::detachAllControllers | ( |  | ) | `[static]`

| Definition at line 50 of file Control.cpp. References _controllers. Referenced by SetControlCommand::execute().

void Control::detachController | ( | Object * | o | ) | `[static]`

| Definition at line 41 of file Control.cpp. References _controllers. Referenced by Level::deleteObject(), and Level::restore().

static std::string Control::getString | ( | int | keysym | ) | `[static]`

void Control::registerController | ( | Object * | o | ) | `[static]`

| Definition at line 36 of file Control.cpp. References _controllers. Referenced by SetControlCommand::execute().

void Control::update | ( |  | ) | `[static]`

| Definition at line 25 of file Control.cpp. References _controllers.

## Member Data Documentation

vector< Object * > Control::_controllers`[static, private]`

| Definition at line 32 of file Control.h. Referenced by detachAllControllers(), detachController(), registerController(), and update().

SDLKey Control::altShoot1Key = SDLK_LALT`[static]`

| Definition at line 22 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::altShoot2Key = SDLK_RALT`[static]`

| Definition at line 23 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::downKey = SDLK_DOWN`[static]`

| Definition at line 17 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::jumpKey = SDLK_SPACE`[static]`

| Definition at line 24 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::leftKey = SDLK_LEFT`[static]`

| Definition at line 18 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::menuDownKey = SDLK_DOWN`[static]`

| Definition at line 28 of file Control.h. Referenced by Menu::control().

SDLKey Control::menuUpKey = SDLK_UP`[static]`

| Definition at line 27 of file Control.h. Referenced by Menu::control().

SDLKey Control::quitKey = SDLK_ESCAPE`[static]`

| Definition at line 29 of file Control.h. Referenced by Menu::mainLoop(), and Game::mainLoop().

SDLKey Control::rightKey = SDLK_RIGHT`[static]`

| Definition at line 19 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::selectKey = SDLK_SPACE`[static]`

| Definition at line 26 of file Control.h. Referenced by Menu::control().

SDLKey Control::shoot1Key = SDLK_LCTRL`[static]`

| Definition at line 20 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::shoot2Key = SDLK_RCTRL`[static]`

| Definition at line 21 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

SDLKey Control::skipKey = SDLK_SPACE`[static]`

| Definition at line 25 of file Control.h.

SDLKey Control::upKey = SDLK_UP`[static]`

| Definition at line 16 of file Control.h. Referenced by Player::control(), SelectKeyMenu::select(), and SelectKeyMenu::SelectKeyMenu().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Control.h
- C:/Documents and Settings/jegan/Desktop/projectX/Control.cpp